Outlook for iOS 或 Android 連線至 Exchange Server 時出錯:無法使用安全連線或安全連線

原始 KB 編號:  4056392

徵狀

當您使用 Microsoft Outlook for iOS 或 Outlook for Android 登入使用 SSL 憑證進行安全連線的 Exchange Server 實例時,您會收到下列其中一則錯誤訊息:

不安全的連接。 您是否仍要登入?

無法使用安全連線。 您是否仍要登入?

原因

發生此問題的原因是,由於下列其中一個原因而將 SSL 憑證視為不受支援:

  • SSL 憑證無效或已過期。
  • SSL 憑證不受信任。

注意

Outlook for iOS 和 Outlook for Android 使用標準 JAVA 信任的憑證授權單位單位(CAs)。 如果您組織的憑證並未以標準 JAVA 信任的憑證授權憑證的一部分的憑證頒發機構單位進行簽署,便會發生此錯誤。

解決方案

您可以放心忽略此錯誤訊息,並登入 Exchange Server。 此錯誤訊息應該只會顯示一次。

建議您使用由 JAVA CA 憑證儲存庫正式支援的 SSL 憑證。

如何驗證 JAVA Ca 是否信任憑證

  1. 取得憑證的 CA。

  2. 下載最新的JAVA SE 開發套件(JDK)。 此套件包含 JAVA 信任的 Ca。

  3. 在 Windows 電腦上開啟命令提示字元視窗,或在 macOS 的電腦上開啟終端視窗。

  4. 執行下列命令,以使用 keytool 實用程式來列出受信任的 Ca:

     keytool -keystore "<keystore location>" -storepass changeit -list -v
    

    注意

    在 macOS 型電腦上,  <keystore location>   參數可以是 "$JAVA _HOME/jre/lib/security/cacerts."

  5. 確認憑證的 CA 位於清單中。

如需 keytool 公用程式的詳細資訊,請參閱下列文章: